Bug 11922 - Add SHOW_BCODE patron attribute for Norwegian web installer
Summary: Add SHOW_BCODE patron attribute for Norwegian web installer
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jasmine Amohia
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2014-03-11 09:22 UTC by Magnus Enger
Modified: 2019-02-25 07:08 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11922: Added SHOW_BCIDE patron attribute for Norwegian web installer (1.76 KB, patch)
2019-01-17 02:41 UTC, Jasmine Amohia
Details | Diff | Splinter Review
Bug 11922: Added SHOW_BCIDE patron attribute for Norwegian web installer (1.81 KB, patch)
2019-01-17 20:20 UTC, David Nind
Details | Diff | Splinter Review
Bug 11922: Added SHOW_BCODE patron attribute for Norwegian web installer (1.86 KB, patch)
2019-01-20 14:27 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 11922: Add SHOW_BCODE patron attribute for Norwegian web installer (1.86 KB, patch)
2019-01-20 14:29 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2014-03-11 09:22:32 UTC
The Norwegian web installer needs nb-NO/optional/patron_atributes.sql and .txt to stay in sync with other languages.
Comment 1 Jasmine Amohia 2019-01-17 02:41:44 UTC
Created attachment 84117 [details] [review]
Bug 11922: Added SHOW_BCIDE patron attribute for Norwegian web installer

Test plan:
1. Notice that /patron_attributes.sql and /patron_attributes.txt can be
located in 2-Valgfritt
2. Confirm that the SHOW_BCODE patron attribute in the English web
installers .sql and .txt file is also in the Norwegian web installers
.sql and .txt file
Comment 2 David Nind 2019-01-17 20:20:14 UTC
Created attachment 84157 [details] [review]
Bug 11922: Added SHOW_BCIDE patron attribute for Norwegian web installer

Test plan:
1. Notice that /patron_attributes.sql and /patron_attributes.txt can be
located in 2-Valgfritt
2. Confirm that the SHOW_BCODE patron attribute in the English web
installers .sql and .txt file is also in the Norwegian web installers
.sql and .txt file

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2019-01-17 20:22:32 UTC
Note: I checked that the two files from the installer are now in the Norwegian web installer folder.

I didn't test by running through the actual installer.
Comment 4 Katrin Fischer 2019-01-20 14:27:19 UTC
Created attachment 84252 [details] [review]
Bug 11922: Added SHOW_BCODE patron attribute for Norwegian web installer

Test plan:
1. Notice that /patron_attributes.sql and /patron_attributes.txt can be
located in 2-Valgfritt
2. Confirm that the SHOW_BCODE patron attribute in the English web
installers .sql and .txt file is also in the Norwegian web installers
.sql and .txt file

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2019-01-20 14:29:08 UTC
Created attachment 84253 [details] [review]
Bug 11922: Add SHOW_BCODE patron attribute for Norwegian web installer

Test plan:
1. Notice that /patron_attributes.sql and /patron_attributes.txt can be
located in 2-Valgfritt
2. Confirm that the SHOW_BCODE patron attribute in the English web
installers .sql and .txt file is also in the Norwegian web installers
.sql and .txt file

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2019-01-20 14:31:02 UTC
The new files haven't been translated to Norwegian, but I think this is still good as it bringes the nb-NO installer more in line with the others and allows to install the same data. Translation can be fixed later (hope Magnus agrees :) )
Comment 7 Magnus Enger 2019-01-21 08:37:46 UTC
(In reply to Katrin Fischer from comment #6)
> The new files haven't been translated to Norwegian, but I think this is
> still good as it bringes the nb-NO installer more in line with the others
> and allows to install the same data. Translation can be fixed later (hope
> Magnus agrees :) )

I totally agree!
Comment 8 Nick Clemens 2019-01-25 17:59:27 UTC
Awesome work all!

Pushed to master for 19.05
Comment 9 Martin Renvoize 2019-01-31 16:38:47 UTC
Pushed to 18.11.x for 18.11.03
Comment 10 Lucas Gass 2019-02-01 21:19:21 UTC
pushed to 18.05.x for 18.05.09
Comment 11 Fridolin SOMERS 2019-02-04 12:11:16 UTC
Pushed to 17.11.x for 17.11.15